This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 821289 - Kernel crashes on Fedora upgrade from F16 to F17
Kernel crashes on Fedora upgrade from F16 to F17
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 19:58 EDT by Bojan Smojver
Modified: 2013-02-13 20:11 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:11:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel panic on x86_64 (196.01 KB, image/jpeg)
2012-05-13 20:34 EDT, Bojan Smojver
no flags Details
Kernel panic on i686 (89.23 KB, image/jpeg)
2012-05-13 20:34 EDT, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2012-05-13 19:58:22 EDT
Description of problem:
This is what was being done to the system in question:

http://fedoraproject.org/wiki/YumUpgradeFaq#Fedora_16_-.3E_Fedora_17

Version-Release number of selected component (if applicable):
I had this with both 3.3.5 and 3.3.4 builds currently in Fedora, for i686 and x86_64.

How reproducible:
Seems always.

Steps to Reproduce:
1. Upgrade the system per instructions.
2. Attempt to reboot with shutdown -r now.
3. Kernel panics.
  
Actual results:
Panic.

Expected results:
Shouldn't panic?

Additional info:
If your system is remote, like one of mine, you may not have any ability to actually put you hands on it, so you'll probably have to engage support of you hosting provider to fix this.
Comment 1 Bojan Smojver 2012-05-13 20:34:30 EDT
Created attachment 584193 [details]
Kernel panic on x86_64
Comment 2 Bojan Smojver 2012-05-13 20:34:53 EDT
Created attachment 584194 [details]
Kernel panic on i686
Comment 3 Josh Boyer 2012-05-14 08:57:05 EDT
Not really a kernel panic.  The runtime initramfs is hosed somehow.  It exits and since it's init, the kernel doesn't like that.  This is a dupe of bug 820340 as far as I can tell.

*** This bug has been marked as a duplicate of bug 820340 ***
Comment 4 Bojan Smojver 2012-05-14 19:46:04 EDT
(In reply to comment #3)
> Not really a kernel panic.

Yeah, no idea. I was just reading what was on the screen. :-)
Comment 5 Mads Kiilerich 2012-05-15 07:23:20 EDT
Based on further comments on bug 820340:

The problem description here should apparently have been that old f16 kernels no longer works after upgrading to f17. This is thus not a duplicate of 820340.

f16 kernels are however not supposed to work with f17. An upgrade will install a new f17 kernel that works - and that was apparently also the case here. Closing.
Comment 6 Bojan Smojver 2012-05-15 07:31:35 EDT
(In reply to comment #5)
 
> f16 kernels are however not supposed to work with f17. An upgrade will install
> a new f17 kernel that works - and that was apparently also the case here.
> Closing.

This is not the case at all - nobody tried running F-17 with F-16 kernel. The F-16 kernel was used to upgrade to F-17 as per this document:

http://fedoraproject.org/wiki/YumUpgradeFaq

However, after distro-sync, the F-16 crashed on reboot.

If F-17 kernel is a prerequisite for running the upgrade this way, the document should say so, just like it states one should upgrade rpm to F-17 version before doing the upgrade.
Comment 7 Mads Kiilerich 2012-05-15 07:44:15 EDT
So it is the kernel with an initramfs with dracut >= 013-22.fc16 and convertfs that can boot but fails to shut down after running the actual yum upgrade?

Full version numbers (including .fc16) for kernel and dracut would probably be helpful.

I guess the problem is that f17 has evolved so the f16 dracut no longer can handle it.
Comment 8 Hin-Tak Leung 2012-05-31 12:35:57 EDT
Hmm, I have the reverse problem - the fresh f17 kernel fails to boot - kernel panic, cannot find root device and some device mapper error, it also has problem shutting down... - so I am using the last f16 kernel with the rest of F17 at the moment. Ironically both are of the same version (3.3.7-1).
Comment 9 Mads Kiilerich 2012-06-02 10:58:54 EDT
(In reply to comment #8)
> Hmm, I have the reverse problem

Then please file a new issue (unless it already is covered by other reports). Make sure to include the exact error messages and versions.
Comment 10 Hin-Tak Leung 2012-06-03 20:04:56 EDT
(In reply to comment #9)
> (In reply to comment #8)
> > Hmm, I have the reverse problem
> 
> Then please file a new issue (unless it already is covered by other
> reports). Make sure to include the exact error messages and versions.

Filed "Bug 827997 - preupgrade makes non-usable initramfs", and attached my rpm list before and after, and also the exact message.
Comment 11 Fedora End Of Life 2013-01-16 17:38:58 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2013-02-13 20:11:46 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.